#!/bin/bash
# Name: Steffen Wirth alias bert2002
# Homepage: http://www.pissflitsche.net/atiscript
# Datum: 24.08.2005
trap "" 2 3
trap "" SIGTSTP
xhost 127.0.0.1
clear
if [ `id -un` != root ] 
	then 
		echo "Please start the script as root"
		exit 0
fi
#####################################################################
##########################-run expansion-############################
#####################################################################
#####################################################################
#####################################################################

if [ $1 == run ]; then
		clear
		modprobe -r fglrx 2> /dev/null || echo "cannot unload fglrx - please wait"
		rm -rf /lib/modules/fglrx/ 2> /dev/null
		if [ -d /root/.atiscript ] ; then
			cd /root/.atiscript/
			if [ -f ati-driver-installer-8.16.20-i386.run ] ; then
				sh ./ati-driver-installer-8.16.20-i386.run || echo "ERROR"
				exit 0
				
				else
					wget http://www2.ati.com/drivers/linux/ati-driver-installer-8.16.20-i386.run || wget -c http://www2.ati.com/drivers/linux/ati-driver-installer-8.16.20-i386.run
					sh ./ati-driver-installer-8.16.20-i386.run || echo "ERROR"
					exit 0
			fi
		else
		mkdir /root/.atiscript/ 2> /dev/null
		cd /root/.atiscript/
		wget http://www2.ati.com/drivers/linux/ati-driver-installer-8.16.20-i386.run || wget -c http://www2.ati.com/drivers/linux/ati-driver-installer-8.16.20-i386.run
		sh ./ati-driver-installer-8.16.20-i386.run || echo "ERROR"
		fi
		exit 0
		
fi
#####################################################################
###########################-Sctipt begin-############################
#####################################################################
#####################################################################
#####################################################################
clear
echo "|-------------Welcome to atiscript 0.0.7b------------|"
echo "|                                                    |"
echo "|            ---Please select a driver---            |"
echo "|                                                    |"
echo "|  (1)  Ati-8.16.20 and Linux 2.6.12	        (1)  |"
echo "|  (2)  Ati-8.14.13 and Linux 2.6.12            (2)  |"
echo "|  (3)  Ati-8.8.25 and Linux 2.6.10             (3)  |"
echo "|  (4)  Ati Installer                           (4)  |"
echo "|  (5)  Cancel                                  (5)  |"
echo "|----------------------------------------------------|"
echo "|           I recommended the Ati Installer          |"
echo "|         - Choose a number and press Enter -        |"
echo -n "|----------------------------------------------------"
read kernel
case "$kernel" in
'1')
	clear
	modprobe -r fglrx 2> /dev/null || echo "cannot unload fglrx - please wait"
	rm -rf /lib/modules/fglrx/ 2> /dev/null
	if [ -d /root/.atiscript ] ; then
		cd /root/.atiscript/
			if [ -f fglrx_6_8_0-8.16.20-1.i386.tar.gz ] ; then
					tar -xzf fglrx_6_8_0-8.16.20-1.i386.tar.gz && cd fglrx_6_8_0-8.16.20-1.i386
					cp -rf ./* / || echo "Error to copy files. Are you in X? Please leave it" || exit 1 
			else
				wget http://www.pissflitsche.net/scripts/fglrx_6_8_0-8.16.20-1.i386.tar.gz || wget -c http://www.pissflitsche.net/scripts/fglrx_6_8_0-8.16.20-1.i386.tar.gz
				tar -xzf fglrx_6_8_0-8.16.20-1.i386.tar.gz && cd fglrx_6_8_0-8.16.20-1.i386
				cp -rf ./* / || echo "Error to copy files. Are you in X? Please leave it" || exit 1 
			fi
	else
		mkdir ~/.atiscript/ && cd ~/.atiscript/ 2> /dev/null
		wget http://www.pissflitsche.net/scripts/fglrx_6_8_0-8.16.20-1.i386.tar.gz || wget -c http://www.pissflitsche.net/scripts/fglrx_6_8_0-8.16.20-1.i386.tar.gz
		tar -xzf fglrx_6_8_0-8.16.20-1.i386.tar.gz && cd fglrx_6_8_0-8.16.20-1.i386
		cp -rf ./* / || echo "Error to copy files. Are you in X? Please leave it" || exit 1 
	fi
	
	cd /lib/modules/fglrx/build_mod/
	sh ./make.sh && cd ../ && sh ./make_install.sh
	clear
			echo "--------------------------------------"
        		dmesg | grep fglrx
        		echo "--------------------------------------"
        		echo "Now your new ATI Driver 8.16.20 are installed"
        		echo "If you have some problems, look in your /etc/X11/xorg.conf"
	exit 0
		
	;;
'2')
	clear
	modprobe -r fglrx 2> /dev/null || echo "cannot unload fglrx - please wait"
	rm -rf /lib/modules/fglrx/ 2> /dev/null
	if [ -d /root/.atiscript ] ; then
		cd /root/.atiscript/
			if [ -f fglrx_6_8_0-8.14.13-1.tar.gz ] ; then
					echo ""
				else
					wget http://www.pissflitsche.net/scripts/fglrx_6_8_0-8.14.13-1.tar.gz || wget -c http://www.pissflitsche.net/scripts/fglrx_6_8_0-8.14.13-1.tar.gz
				fi
	else
		mkdir ~/.atiscript/ && cd ~/.atiscript/ 2> /dev/null
		wget http://www.pissflitsche.net/scripts/fglrx_6_8_0-8.14.13-1.tar.gz || wget -c http://www.pissflitsche.net/scripts/fglrx_6_8_0-8.14.13-1.tar.gz
	fi
		rm -rf ./lib ./usr ./opt && rm -rf k2.6.11.sh 2> /dev/null
		tar -xzf fglrx_6_8_0-8.14.13-1.tar.gz && cp -rf ./lib ./usr ./opt /
		wget http://www.pissflitsche.net/scripts/k2.6.11.sh && sh ./k2.6.11.sh 141312
	exit 0               
	;;

'3')
	clear	
	modprobe -r fglrx 2> /dev/null || echo "cannot unload fglrx - please wait"
	rm -rf /lib/modules/fglrx/ 2> /dev/null
	if [ -d /root/.atiscript ] ; then
		cd /root/.atiscript/
			if [ -f fglrx_6_8_0-8.8.25-1.i386.tar.gz ] ; then
					tar -xzf fglrx_6_8_0-8.8.25-1.i386.tar.gz && cp -rf ./lib ./usr /
				else
					wget http://www.pissflitsche.net/scripts/fglrx_6_8_0-8.8.25-1.i386.tar.gz || wget -c http://www.pissflitsche.net/scripts/fglrx_6_8_0-8.8.25-1.i386.tar.gz
					tar -xzf fglrx_6_8_0-8.8.25-1.i386.tar.gz && cp -rf ./lib ./usr /
				fi
			if [ -f ati_8.8.25_patches.tar.gz ] ; then
					tar -xzf ati_8.8.25_patches.tar.gz
					cd ./2.6.10/
					cp 01-agpgart_be.c.patch /lib/modules/fglrx/build_mod/
					cp 02-agpgart_be.patch /lib/modules/fglrx/build_mod/
				else
					wget http://www.pissflitsche.net/scripts/ati_8.8.25_patches.tar.gz
					tar -xzf ati_8.8.25_patches.tar.gz
					cd ./2.6.10/
					cp 01-agpgart_be.c.patch /lib/modules/fglrx/build_mod/
					cp 02-agpgart_be.patch /lib/modules/fglrx/build_mod/
				fi
			cd /lib/modules/fglrx/build_mod/ 
			patch -p0 < 01-agpgart_be.c.patch 2> /dev/null
			patch -p0 < 02-agpgart_be.patch 2> /dev/null
			sh ./make.sh && cd ../ && sh ./make_install.sh
			clear
			echo "--------------------------------------"
        		dmesg | grep fglrx
        		echo "--------------------------------------"
        		echo "Now your new ATI Driver 8.8.25 are installed"
			echo "Thanks to SmOkyS2006 for the patches"
        		echo "If you have some problems, look in your /etc/X11/xorg.conf"
	else
		mkdir ~/.atiscript/ && cd ~/.atiscript/ 2> /dev/null
		wget http://www.pissflitsche.net/scripts//fglrx_6_8_0-8.8.25-1.i386.tar.gz || wget -c wget http://www.pissflitsche.net/scripts/fglrx_6_8_0-8.8.25-1.i386.tar.gz
		tar -xzf fglrx_6_8_0-8.8.25-1.i386.tar.gz && cp -rf ./lib ./usr /
		wget http://www.pissflitsche.net/scripts/ati_8.8.25_patches.tar.gz && tar -xzf ati_8.8.25_patches.tar.gz
		cd ./2.6.10/ && cp 01-agpgart_be.c.patch /lib/modules/fglrx/build_mod/ && cp 02-agpgart_be.patch /lib/modules/fglrx/build_mod/
		cd /lib/modules/fglrx/build_mod/ && patch -p0 < 01-agpgart_be.c.patch 2> /dev/null
		patch -p0 < 02-agpgart_be.patch 2> /dev/null
		sh ./make.sh && cd ../ && sh ./make_install.sh
		clear
		echo "--------------------------------------"
        	dmesg | grep fglrx
        	echo "--------------------------------------"
        	echo "Now your new ATI Driver 8.8.25 are installed"
		echo "Thanks to SmOkyS2006 for the patches"
        	echo "If you have some problems, look in your /etc/X11/xorg.conf"
        fi	
	exit 0
	;;
'4')
	./atiscript.sh run
	exit 0
	;;
'5')
	exit 0
	;;
*)
	
	echo "Please restart script and choose 1 - 2 - 3 - 4 or 5"
esac
